aboutsummaryrefslogtreecommitdiffstats
path: root/po
diff options
context:
space:
mode:
Diffstat (limited to 'po')
-rwxr-xr-xpo/update.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/po/update.sh b/po/update.sh
new file mode 100755
index 0000000000..0f8d517b0d
--- /dev/null
+++ b/po/update.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+xgettext --default-domain=evolution --directory=.. \
+ --add-comments --keyword=_ --keyword=N_ \
+ --files-from=./POTFILES.in \
+&& test ! -f evolution.po \
+ || ( rm -f ./evolution.pot \
+ && mv evolution.po ./evolution.pot )